## vdr-plugin-sudoku 0.1.3

=== Makefile ===
#
# Sudoku: A plugin for the Video Disk Recorder
#
# See the README file for copyright information and how to reach the author.
#
# $Id: Makefile 28 2006-04-25 00:09:14Z tom $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = sudoku

### The version number of this plugin (taken from the main source file):

VERSION = $(shell sed -ne '/static .* VERSION *=/s/^.*"\(.*\)".*$$/\1/p' \
                      $(PLUGIN).cpp)

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' \
                         $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o setup.o i18n.o bitmap.o menu.o \
       puzzle.o generator.o solver.o backtrack.o

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so
	@cd tools && $(MAKE)

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp $@ $(LIBDIR)/$@.$(APIVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) \
             --exclude debian --exclude CVS --exclude .svn $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

srcdoc: Doxyfile $(OBJS:%.o=%.cpp) $(OBJS:%.o=%.h)
	VERSION=$(VERSION) /usr/bin/doxygen

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so* *.tgz core* *~
	@-rm -rf srcdoc
	@cd tools && $(MAKE) clean

=== tools/Makefile ===
#
# Sudoku: A plugin for the Video Disk Recorder
#
# See the README file for copyright information and how to reach the author.
#
# $Id: Makefile 28 2006-04-25 00:09:14Z tom $

# Define STATIC_LINK=1 to force static linking
#STATIC_LINK = 1

# Define WITH_TEST=1 to include test procedures
#WITH_TEST = 1

PROGRAM = sudoku_generator

SRCS = ../puzzle.cpp ../generator.cpp ../solver.cpp ../backtrack.cpp

VERSION = $(shell sed -ne '/static .* VERSION *=/s/^.*"\(.*\)".*$$/\1/p' \
                      ../sudoku.cpp)

CXX      ?= g++
CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual
DEFINES  += -D_GNU_SOURCE -DVERSION=\"$(VERSION)\"

ifdef STATIC_LINK
    CXXFLAGS += -static
endif

ifdef WITH_TEST
    DEFINES += -DWITH_TEST
endif

### Targets:

all: $(PROGRAM)

$(PROGRAM): $(PROGRAM).cpp $(SRCS) $(SRCS:%.cpp=%.h)
	$(CXX) $(CXXFLAGS) $(DEFINES) $(INCLUDES) -o $@ $(PROGRAM).cpp $(SRCS)

clean:
	@-rm -f $(PROGRAM) core* *~

## vdr-plugin-sudoku 0.2.1

=== Makefile ===
#
# Sudoku: A plug-in for the Video Disk Recorder
#
# Copyright (C) 2005-2007, Thomas Gnther <tom@toms-cafe.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# $Id: Makefile 106 2007-12-03 23:28:24Z tom $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
# IMPORTANT: the presence of this macro is important for the Make.config
# file. So it must be defined, even if it is not used here!
#
PLUGIN = sudoku

### The version number of this plugin (taken from the main source file):

VERSION = $(shell sed -ne '/static .* VERSION *=/s/^.*"\(.*\)".*$$/\1/p' \
                      $(PLUGIN).cpp)

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' \
                         $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include
DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
CXXFLAGS += $(INCLUDES) $(DEFINES)

### The source and object files

SRCS = $(wildcard *.cpp)
OBJS = $(SRCS:%.cpp=%.o)

### The main target:

all: libvdr-$(PLUGIN).so i18n
	@cd tools && $(MAKE)

### Dependencies:

DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(CXX) -MM -MG $(SRCS) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo    = $(notdir $(wildcard $(PODIR)/*.po))
I18Npot   = $(PODIR)/$(PLUGIN).pot

$(I18Npot): $(SRCS)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP \
	         --msgid-bugs-address='<tom@toms-cafe.de>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.po
	@mkdir -p $(dir $@)
	msgfmt -c -o $@ $<

.PHONY: i18n
i18n: $(I18Npo:%.po=$(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo)

### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $^ -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) \
	     --exclude debian --exclude CVS --exclude .svn $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

srcdoc: Doxyfile $(OBJS:%.o=%.cpp) $(OBJS:%.o=%.h)
	VERSION=$(VERSION) /usr/bin/doxygen

clean:
	@-rm -f $(DEPFILE) *.o *.so $(I18Npot) *.tgz core* *~
	@-rm -rf srcdoc
	@cd tools && $(MAKE) clean

=== tools/Makefile ===
--- 
+++ 
@@ -1,9 +1,23 @@
 #
-# Sudoku: A plugin for the Video Disk Recorder
+# Sudoku: A plug-in for the Video Disk Recorder
 #
-# See the README file for copyright information and how to reach the author.
+# Copyright (C) 2005-2007, Thomas Gnther <tom@toms-cafe.de>
 #
-# $Id: Makefile 28 2006-04-25 00:09:14Z tom $
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+# $Id: Makefile 106 2007-12-03 23:28:24Z tom $
 
 # Define STATIC_LINK=1 to force static linking
 #STATIC_LINK = 1

## vdr-plugin-sudoku 0.3.4

=== tools/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Sudoku: A plug-in for the Video Disk Recorder
 #
-# Copyright (C) 2005-2007, Thomas Gnther <tom@toms-cafe.de>
+# Copyright (C) 2005-2008, Thomas Gnther <tom@toms-cafe.de>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 #
-# $Id: Makefile 106 2007-12-03 23:28:24Z tom $
+# $Id: Makefile 161 2008-11-23 00:18:02Z tom $
 
 # Define STATIC_LINK=1 to force static linking
 #STATIC_LINK = 1
@@ -27,7 +27,8 @@
 
 PROGRAM = sudoku_generator
 
-SRCS = ../puzzle.cpp ../generator.cpp ../solver.cpp ../backtrack.cpp
+SRCS = ../puzzle.cpp ../generator.cpp ../solver.cpp ../backtrack.cpp \
+       ../history.cpp
 
 VERSION = $(shell sed -ne '/static .* VERSION *=/s/^.*"\(.*\)".*$$/\1/p' \
                       ../sudoku.cpp)
@@ -44,6 +45,20 @@
     DEFINES += -DWITH_TEST
 endif
 
+### Directories:
+
+prefix = /usr/local
+bindir = $(prefix)/bin
+mandir = $(prefix)/share/man
+man1dir = $(mandir)/man1
+
+### Tools:
+
+INSTALL = install
+INSTALL_DIRS = $(INSTALL) -d
+INSTALL_PROG = $(INSTALL)
+INSTALL_DATA = $(INSTALL) -m u=rw,g=r,o=r
+
 ### Targets:
 
 all: $(PROGRAM)
@@ -51,5 +66,10 @@
 $(PROGRAM): $(PROGRAM).cpp $(SRCS) $(SRCS:%.cpp=%.h)
 	$(CXX) $(CXXFLAGS) $(DEFINES) $(INCLUDES) -o $@ $(PROGRAM).cpp $(SRCS)
 
+install: all
+	$(INSTALL_DIRS) $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir)
+	$(INSTALL_PROG) $(PROGRAM) $(DESTDIR)$(bindir)/
+	$(INSTALL_DATA) $(PROGRAM).1 $(DESTDIR)$(man1dir)/
+
 clean:
 	@-rm -f $(PROGRAM) core* *~

## vdr-plugin-sudoku 0.3.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Sudoku: A plug-in for the Video Disk Recorder
 #
-# Copyright (C) 2005-2007, Thomas Gnther <tom@toms-cafe.de>
+# Copyright (C) 2005-2010, Thomas Günther <tom@toms-cafe.de>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,8 +16,6 @@
 # You should have received a copy of the GNU General Public License along
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-#
-# $Id: Makefile 106 2007-12-03 23:28:24Z tom $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -42,6 +40,10 @@
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
+
+### Make sure that necessary options are included:
+
+-include $(VDRDIR)/Make.global
 
 ### Allow user defined options to overwrite defaults:
 
@@ -109,12 +111,15 @@
 	$(CXX) $(CXXFLAGS) -shared $^ -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
+.PHONY: tests
+tests:
+	@cd $@ && $(MAKE)
+
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
-	@tar czf $(PACKAGE).tgz -C $(TMPDIR) \
-	     --exclude debian --exclude CVS --exclude .svn $(ARCHIVE)
+	@tar czf $(PACKAGE).tgz -C $(TMPDIR) --exclude debian $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@echo Distribution package created as $(PACKAGE).tgz
 
@@ -125,3 +130,4 @@
 	@-rm -f $(DEPFILE) *.o *.so $(I18Npot) *.tgz core* *~
 	@-rm -rf srcdoc
 	@cd tools && $(MAKE) clean
+	@cd tests && $(MAKE) clean

=== tests/Makefile ===
#
# Sudoku: A plug-in for the Video Disk Recorder
#
# Copyright (C) 2010, Thomas Günther <tom@toms-cafe.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

PROGRAM = testrunner

SRCS = ../puzzle.cpp ../generator.cpp ../solver.cpp ../backtrack.cpp \
       ../history.cpp

TESTGEN  ?= cxxtestgen.py
CXX      ?= g++
CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual
DEFINES  += -D_GNU_SOURCE

### The main target:

all: $(PROGRAM)
	./$<

### Dependencies:

DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(CXX) -MM -MG $(SRCS) | sed -e "s/\(.*: .*\)/..\/\1/" > $@

-include $(DEPFILE)

### Targets:

$(PROGRAM).cpp: test_*.h
	$(TESTGEN) -o $@ --error-printer $^

$(PROGRAM): $(PROGRAM).cpp $(SRCS:%.cpp=%.o)
	$(CXX) $(CXXFLAGS) $(DEFINES) $(INCLUDES) -o $@ $^

clean:
	@-rm -f $(PROGRAM) $(PROGRAM).cpp $(SRCS:%.cpp=%.o) $(DEPFILE) core* *~

=== tools/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Sudoku: A plug-in for the Video Disk Recorder
 #
-# Copyright (C) 2005-2008, Thomas Gnther <tom@toms-cafe.de>
+# Copyright (C) 2005-2008, Thomas Günther <tom@toms-cafe.de>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,8 +16,6 @@
 # You should have received a copy of the GNU General Public License along
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-#
-# $Id: Makefile 161 2008-11-23 00:18:02Z tom $
 
 # Define STATIC_LINK=1 to force static linking
 #STATIC_LINK = 1

=== debian/changelog ===
vdr-plugin-sudoku (0.3.5-20) unstable; urgency=medium

  * Minor fix for GCC-6 (Closes: #831155)
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Fri, 15 Jul 2016 18:54:27 +0200

vdr-plugin-sudoku (0.3.5-19) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism
  * Build-depend on vdr-dev (>= 2.2.0)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Tue, 22 Sep 2015 21:33:47 +0200

vdr-plugin-sudoku (0.3.5-18) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:24:16 +0100

vdr-plugin-sudoku (0.3.5-17) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:20 +0200

vdr-plugin-sudoku (0.3.5-16) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:27 +0100

vdr-plugin-sudoku (0.3.5-15) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:45:09 +0100

vdr-plugin-sudoku (0.3.5-14) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:34:54 +0100

vdr-plugin-sudoku (0.3.5-13) unstable; urgency=low

  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 22:23:54 +0100

vdr-plugin-sudoku (0.3.5-12) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:31:12 +0200

vdr-plugin-sudoku (0.3.5-11) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:19 +0200

vdr-plugin-sudoku (0.3.5-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:43 +0200

vdr-plugin-sudoku (0.3.5-9) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:21 +0100

vdr-plugin-sudoku (0.3.5-8) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:36 +0100

vdr-plugin-sudoku (0.3.5-7) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:11:23 +0200

vdr-plugin-sudoku (0.3.5-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:34 +0200

vdr-plugin-sudoku (0.3.5-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:35 +0200

vdr-plugin-sudoku (0.3.5-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:17 +0200

vdr-plugin-sudoku (0.3.5-3) unstable; urgency=low

  * Updated debian/watch
  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Wed, 06 Apr 2011 23:42:57 +0200

vdr-plugin-sudoku (0.3.5-2) unstable; urgency=low

  * source/format 1.0

 -- Tobias Grimm <etobi@debian.org>  Mon, 03 May 2010 19:04:25 +0200

vdr-plugin-sudoku (0.3.5-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch to new upstream location

 -- Thomas Günther <tom@toms-cafe.de>  Mon, 05 Apr 2010 18:09:58 +0200

vdr-plugin-sudoku (0.3.4-4) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 16:06:32 +0200

vdr-plugin-sudoku (0.3.4-3) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552658)
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 00:24:28 +0100

vdr-plugin-sudoku (0.3.4-2) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:11:08 +0200

vdr-plugin-sudoku (0.3.4-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Sat, 06 Dec 2008 19:24:23 +0100

vdr-plugin-sudoku (0.3.3-1) unstable; urgency=low

  * New upstream release
  * Changed my maintainer/uploader email address

 -- Tobias Grimm <etobi@debian.org>  Sun, 23 Nov 2008 11:42:46 +0100

vdr-plugin-sudoku (0.3.0-1) unstable; urgency=low

  [ Thomas Günther ]
  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 04 Aug 2008 11:04:40 +0200

vdr-plugin-sudoku (0.2.1-4) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 18:29:36 +0200

vdr-plugin-sudoku (0.2.1-3) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 09 Jun 2008 00:08:47 +0200

vdr-plugin-sudoku (0.2.1-2) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 13:14:12 +0200

vdr-plugin-sudoku (0.2.1-1) experimental; urgency=low

  * New upstream release

 -- Thomas Günther <tom@toms-cafe.de>  Sun,  6 Apr 2008 19:00:50 +0200

vdr-plugin-sudoku (0.2.0-1) experimental; urgency=low

  [ Thomas Schmidt ]
  * New upstream release
  * Build-Depend on vdr-dev (>=1.6.0)
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3
  * Updated debian/copyright to our new format



=== debian/control ===
Source: vdr-plugin-sudoku
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Günther <tom@toms-cafe.de>, Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), pkg-config, gettext
Standards-Version: 3.9.8
Homepage: http://toms-cafe.de/vdr/sudoku/
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-sudoku.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-sudoku.git

Package: vdr-plugin-sudoku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR-Plugin to generate and solve Sudokus
 This plugin generates Number Place puzzles, so called Sudokus, and let you
 solve it.
 .
 A Sudoku puzzle consists of 9 x 9 cells subdivided into 9 regions with 3 x 3
 cells. The rules are simple. There have to be the numbers from 1 to 9 in every
 row, column and region. In the beginning some numbers are given. These cells
 are painted with cyan background color. The aim of the puzzle is to find the
 missing numbers. There is only one solution of a Sudoku puzzle.

=== debian/watch ===
version=2
http://projects.vdr-developer.org/projects/plg-sudoku/files .*/vdr-sudoku-(.*)\.tgz
